/*!
    *
    * Wijmo Library 5.20241.19
    * https://developer.mescius.com/wijmo
    *
    * Copyright(c) MESCIUS inc. All rights reserved.
    *
    * Licensed under the End-User License Agreement For MESCIUS Wijmo Software.
    * us.sales@mescius.com
    * https://developer.mescius.com/wijmo/licensing
    *
    */
/**
 * {@module wijmo.react.grid.filter}
 * Contains React components for the <b>wijmo.grid.filter</b> module.
 */
/**
 *
 */
export declare var ___keepComment: any;
import { BaseInputs, WjRef } from '@grapecity-software/wijmo.react.base';
import { CellRangeEventArgs } from '@grapecity-software/wijmo.grid';
import * as React from 'react';
import * as wjcCore from '@grapecity-software/wijmo';
import * as wjcGridFilter from '@grapecity-software/wijmo.grid.filter';
export declare type FlexGridFilterInputs = BaseInputs & {
    defaultFilterType?: wjcGridFilter.FilterType | string;
    exclusiveValueSearch?: boolean;
    filterColumns?: string[];
    filterDefinition?: string;
    reApplyFilterOnUpdate?: boolean;
    showFilterIcons?: boolean;
    showSortButtons?: boolean;
    initialized?: any;
};
export declare type FlexGridFilterEvents<T> = {
    editingFilter?: wjcCore.IEventHandler<T, wjcCore.EventArgs>;
    exclusiveValueSearchChanged?: wjcCore.IEventHandler<T, wjcCore.EventArgs>;
    filterApplied?: wjcCore.IEventHandler<T, wjcCore.EventArgs>;
    filterChanged?: wjcCore.IEventHandler<T, CellRangeEventArgs>;
    filterChanging?: wjcCore.IEventHandler<T, CellRangeEventArgs>;
};
export declare const FlexGridFilterMeta: {
    inputs: string[];
    events: string[];
};
export declare type FlexGridFilterProps = FlexGridFilterInputs & FlexGridFilterEvents<wjcGridFilter.FlexGridFilter>;
export declare type FlexGridFilterRef = WjRef<wjcGridFilter.FlexGridFilter>;
/**
 * React component for the {@link wijmo.grid.filter.FlexGridFilter} class.
 *
 * The <b>flex-grid-filter</b> component should be contained in
 * a {@link wijmo.react.grid.FlexGrid} component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.grid.filter.FlexGridFilter} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in JSX.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare const FlexGridFilter: React.ForwardRefExoticComponent<FlexGridFilterProps>;
